Bug 9260 - libnatspec-0.2.3-alt0.1 segfaults
: libnatspec-0.2.3-alt0.1 segfaults
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libnatspec)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-17 12:04 by
Modified: 2007-04-06 15:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-17 12:04:53
наблюдаю в логах сервера целую массу сообщений такого класса:
natspec[6963]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffffa7e7a8 error 4
natspec[6992]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffff9c4248 error 4
natspec[7034]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007ffffff46108 error 4
natspec[7220]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007ffffff72b68 error 4
natspec[7689]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007ffffffcb558 error 4
natspec[7941]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007ffffff3fb58 error 4
natspec[8128]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffffdc05c8 error 4
natspec[8331]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffff9df668 error 4
natspec[8383]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffffa8f708 error 4
natspec[8414]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffffcdf558 error 4
natspec[8824]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007fffffe22d28 error 4
natspec[10556]: segfault at 0000000000000000 rip 00002aaaaae5e753 rsp
00007ffffff19678 error 4


Сервер - x86_64. Где именно сегфолтится - не знаю. Знаю только что что natspec
и
где-то.
------- Comment #1 From 2006-03-18 10:52:46 -------
К сожалению пока x86_64 машины нет, проверить не могу. 
Каким образом вообще segfault в библиотеке попадает в системные логи? 
Может это какой-то другой natspec? :) А, natspec[6963] - это процесс? 
Можно попросить на этой машине запустить 
$ natspec и показать backtrace, если она падает? 
P.S. 
Или на x86_64 можно shell получить? 
------- Comment #2 From 2006-03-20 18:05:22 -------
на x86_64 в логи попадают все сегфолты, которые происходят в системе.

Шелл на x86_64 могу предоставить без проблем.
------- Comment #3 From 2006-03-20 18:05:53 -------
Стукнись ко мне в Jabber.
------- Comment #4 From 2006-03-28 23:28:46 -------
fixed in libnatspec-0.2.3-alt0.2